Overview | Modules | Class Hierarchy | Classes | Members

# tlp::BooleanVectorType Class Reference
[Types]

`#include <PropertyTypes.h>`

List of all members.

## Public Types

- typedef std::vector< bool > RealType

## Static Public Member Functions

- static std::vector< bool > undefinedValue ()
- static std::vector< bool > defaultValue ()
- static std::string toString (const RealType &v)
- static bool fromString (RealType &v, const std::string &s)
- static void write (std::ostream &, const RealType &v)
- static bool read (std::istream &istr, RealType &value)

## Member Typedef Documentation

typedef std::vector<bool> tlp::BooleanVectorType::RealType

Tulip Software by LaBRI Visualization Team 2001 - 2011